Software plugins that add functionality to the QGIS package

learn more… | top users | synonyms

0
votes
2answers
640 views

Adding XY data on QGIS

Does QGIS menu have any XY tool like in ArcGIS to add XY data? I have used the other method to capture XY coordinate. Can anyone help?
0
votes
0answers
40 views

How to perform Visibility Analysis using QGIS? [duplicate]

How can I calculate Visibility using QGIS? I have not found any suitable plugins for QGIS to do this.
0
votes
0answers
18 views

Transformation type - when to use which type? [duplicate]

I am using QGIS 2.0.1 on a Mac, and I am georeferencing a scanned map from 1822. The image is an excellent quality scan, and includes a grid of lat-long. I do not know much else about the map that ...
1
vote
1answer
205 views

QGIS EasyPrint alternatives for v2.0.1?

I recently upgraded to QGIS v2.0.1 and noticed that the EasyPrint plugin is not supported for the latest version. Will this plugin be updated to work in this version, or are there any alternatives ...
0
votes
0answers
22 views

Write a cpp-Plugin for QGis

I want to write a plugin for QGIS 2.0 Dufour in C++. Do I have to take the sources/API from Version 1.8 (Lisboa)? It is right, that the actual API only can be used for the actual Releases(Weekly ...
1
vote
0answers
74 views

Is it possible to create standalone installers for QGIS plugins?

Plugin in QGIS are managed by the internal plugin manager, and this requires active (and fast) internet connection. Another way to do it offline is answered here How to install a QGIS plugin when ...
0
votes
0answers
118 views

Problems with QGIS plugin traceDigitize on Mac?

I'm trying to get the traceDigitize plugin to work with QGIS 2.0.1 on my Mac while following this tutorial but I get this error as soon as I ctrl-click: An error has occured while executing Python ...
0
votes
0answers
69 views

Installation of SDA4PP

I have downloaded the plug in SDA4PP for QGIS. I'm trying to install it but I don't see the Add 3rd party repositories under the Repositories tab of the QGIS python plugin installer. This step is ...
1
vote
1answer
100 views

How to handle plugins of two different QGIS installations on the same computer

I have a computer with 2 versions of QGIS. Both versions are running on Win 7 64 bits with 16 Mb of ram. One is Dufour 32 bits and the other one is version 2.1 OSgeo4W 64 bits. I am experimenting ...
1
vote
0answers
30 views

problems installing qgis 2.0 Add-ons

I have installed qgis 2.0, I need to install add-ons and NEXT I get the error 'The supplement package decompression failed. probably is broken or missing in the repository. might also want to make ...
1
vote
0answers
109 views

How to find out Why a QGIS plugin is rejected for Version 2

I have a selection of python plugins (one rather large one) that I have developed under Qgis 1.8 and that I am migrating to qgis 2.0. The error that the Plugin Manager gives me when I load these ...
4
votes
0answers
55 views

Using QGIS plugins from Python [duplicate]

Is there a simple way to automate calls to QGIS plugins from a QGIS Python script? Either from console or a plugin? I am ideally looking for a way to specify input/output parameters and bypass GUI. ...
0
votes
1answer
100 views

How identify Layer name when removing it from legendInterface qgis?

I am trying to connect the removing layer action with a slot for doing some processing after that. I already try this: QObject.connect(self.iface.legendInterface(), ...
1
vote
0answers
65 views

Problem in removing dangles in road network [closed]

Im using qgis2.0 , In a given road network i have to remove dangles, for that what should be the tolerance to be added generaly. please help me resolve this issue
0
votes
0answers
66 views

QGIS integration issue in windows server

I am facing problem while integrating QGIS 2.0 for web access in my VPS windows server 2008 64 bit OS. I tried all possible changes as per wiki and especially post ...
0
votes
0answers
313 views

openlayersplugin qgis 2.0.1

I have installed qgis 2.0.1, great thing... but.. open layerplugin doesn´t work proper. When I try to load two different open layers I get the answer "could not draw google satellite because:" Also ...
0
votes
3answers
239 views

QGIS plugin requires a missing module: ui_gresp

I am developing my own plugin, the plugin manager shows the error: This plugin requires a missing module: ui_gresp If i try to enable it the trace shows: Couldn't load plugin gresp due an ...
0
votes
1answer
132 views

How to export a map (satellite image, 3 bands) to Tiff without losing the resolution in Qgis.

I manually improve the colour contrast of landsat images. The printing in pdf afterwards is OK, as it maintains the resolution due to the high dpi. Now I am interested to obtain a kmz/kml file of the ...
1
vote
0answers
103 views

Is the postgis layer option in qgis 2.0.1 Dufour two way? Was the spit plugin built in?

I am trying to install postgresql with postgis on a remotely accessed terminal only installation of ubuntu 12.04 that I want to use to connect to qgis 2.0.1 and hopefully have a two way transfer ...
1
vote
0answers
175 views

Style manager not working to batch style group in QGIS 2.0.1

I am trying to apply batch styling to a group of layers using the style manager by setting the conditions, but the symbology does not seem to be applying. This is considering the multiqml plugin is ...
1
vote
0answers
186 views

How do I load offline google map/earth vrt files as a backdrop in qgis

I was trying to follow the process : saving-google-earth-location in order to cache google maps/earth offline for digitizing, but I am fairly new to qgis. When I try to add the vrt file as a raster ...
2
votes
0answers
70 views

QGIS crashes when trying to open ecw files

I added Ubuntugis unstable repo and installed Qgis, libgdal-ecw-src, libecwj2-3.3 but still does not work. When I attempt to open an ecw file with Qgis it crashes and tells me: 'std::length_error': ...
0
votes
0answers
139 views

QGIS 2.0.1 MMQGIS Plugin (Search result map refresh issue) on Windows XP

I am running QGIS Dufour on Windows XP and using the MMQGIS plugin set. When using the Search tool (on the import/export menu item), once a search has been done and the results pane has been ...
2
votes
1answer
159 views

How can I lock the scale when panning?

I'm just wondering if there's any way to easily lock the map scale when panning etc. For example, suppose I set the scale to 1:100,000 - panning with the mouse will then alter that slightly, which can ...
0
votes
1answer
422 views

GRASS in QGIS not working (windows XP)

I am unable to use GRASS algorithms in QGIS 2.0.1 (on windows xp). I've already configured the GRASS path. The algorithms seems to work correctly (I cannot see errors in the log), however in the end ...
0
votes
1answer
239 views

get wkt from geometry in lat lon format

Using the plane geometry editor plugin in qgis 2.0, WKT representation of a feature is shown. The result is in the lon1 lat1,lon2 lat2 format. e.g. POLYGON((85.43523762804622379 ...
0
votes
1answer
80 views

Shortest path to nearest… something

I have a list of addresses and a map including train stations, schools etc., and I would like to calculate the shortest distance from each address to the nearest train station, school etc. I'm aware ...
0
votes
2answers
2k views

How to install matplotlib and pyparsing correctly on OSX-Lion?

I am trying to install the Contour plugin in QGIS 2.0.1 (I'm running OSX-Lion) and I have installed NumPy and Matplotlib from kyngchaos however when I go to install the plugin I get the following ...
4
votes
3answers
574 views

no Get More in Plugin Manager in qgis 2 + ubuntu 13.04

After upgrade of qgis 1.8 to qgis 2.0 I couldn't find the choice "Get more" in Plugin Manager and I can't install plugins.
0
votes
0answers
75 views

QGIS2.0 plugin with freeglut

Has anyone been successful in using QGIS 2.0 plugin which uses freeglut? I have tried all of the below to import freeglut but none of the freeglut functions are recogonized in my plugin. import ...
2
votes
2answers
744 views

QGIS 2.0 Plugins missing [duplicate]

At the risk of a series of downvotes but I have just installed QGIS 2.0 after using 1.7.4 and 1.8 previous. It looks great but there are a lot of plugins missing. I understand from the install that ...
1
vote
2answers
350 views

How to select features of visible layers in QGIS

In QGIS 1.8 I used plugin "Select features of visible layers by rectangle" to know the layer that owns a visible feature. In QGIS 2.0.1 this plugin is no more available. I wonder if it is possible to ...
1
vote
0answers
41 views

start gdalbuildvrt from c++ plugin

I want to create a vrt from my plugin via gdal-tool. From OSGEO4W-Shell the command works. In my code i tried this: QString program = "gdalbuildvrt"; QStringList arguments; ...
1
vote
1answer
1k views

QGIS 2.0 Plugin error: Unable to load GdalTools plugin?

I just used the osgeo4w exe to install QGIS and all the other software included in the basic setup. When I open QGIS, I get the following error: Plugin error Unable to load GdalTools plugin. The ...
5
votes
2answers
678 views

Where has the cartogram plugin for QGIS gone?

This plugin used to be downloadable from Carson Farmer's plugin repository page. However, the repository is broken. An old version of the plugin source code is still available at ...
3
votes
4answers
320 views

Has anyone else been unable to locate and install the GRASS plugin in QGIS 2.0.1?

After uploading and installing QGIS 2.0.1, I am unable to locate and install the GRASS plugin. The plugin is not listed in the 'Plugin Manager'. The 'Plugin_Installer' is also shown in red, ...
5
votes
1answer
414 views

How do I convert a QGIS 1.8 plugin to QGIS2.0?

I have developed a plugin under QGIS1.8 and now I want to make it work on QGIS2.0 I have chage qgisMinimumVersion into 2.0(originally 1.8) but QGIS2.0 still give me the error say This plugin is ...
0
votes
1answer
47 views

Install plugins for qgis in centos

I followed the instructions here: How to install QGIS on Centos 6? If I run: QgsVectorLayer * vpoly = new QgsVectorLayer("Polygon", "pointbuffer", "memory"); QgsVectorDataProvider * provider = ...
1
vote
1answer
133 views

What causes QGIS 2 Plugin Manager Error from showPluginManagerWhenReady?

there. when i open the plugin manager in qgis, i get this: Ocurrió un error durante la ejecución del siguiente código: pyplugin_installer.instance().showPluginManagerWhenReady() A Google ...
3
votes
2answers
258 views

QGIS 2 problems with Plugins

Rough English (Translated by a user): When trying to access plugins I am told Unable to open the Python console. When I start qgis, the message also shows up but I don't know what it means. ...
0
votes
0answers
174 views

QGis 2.0.1 cpp-plugin for Windows

my plugin, developed in VS2008 for Windows runs in my testenvironment, the startimage of QGIS shows the developermeeting in Essen with the version number 2.1 alpha. On a other system I have installed ...
1
vote
1answer
421 views

QGIS Real Time GPS

I'm trying to navigate real time with an USB GPS over a shapefile map, but I can't find the way to do this. I'm using QGIS 1.9.0 desktop version with a Garmin Etrex Legend HCx GPS. In fisrt place, ...
1
vote
0answers
82 views

Attribute table in Map Composer has no content QGIS 2.0 [duplicate]

I make a QGIS Plugin and I try to use the map composer to print a .pdf Map. In this Map I like to display the attribute table of a layer. I load it in with: vLayer = ...
0
votes
2answers
182 views

Is it possible to intall the opengeostack and QGIS nightly?

Did someone managed to get the opengeostack running alongside qgis so the plugin suite-qgis-plugin can be used? I am trying it on ubuntu1304, installing opengeostack works ok, but then when installing ...
2
votes
1answer
1k views

PyQgis question: How to change or set active layer?

Developing a qgis plugin, I found that if no layer is selected in the Layers panel I can iterate over all layers and do anything to them, but "activate" them. Could someone give me a hint please? ...
1
vote
1answer
102 views

how can i install Semi-Automatic Classification plugin manually?

I try to install with Fetch Python Plugins. But fetch python plugins show only those which are installed? can i install manually when direct installation failed repeatedly?
-1
votes
1answer
71 views

why Semi-Automatic Classification plugin installation failled repeatedly?

I successfully downloaded Semi-Automatic Classification plugin installer OSGEO from http://download.osgeo.org/osgeo4w/osgeo4w-setup.exe. But it respond that it couldn't the installation. Again I ...
1
vote
1answer
113 views

Can't get the openlayer plugin to operate [closed]

I can't get the openlayer plugin to run. I've got QGIS V1.8 on Windows 7. I've tried various repo's recommended on different sites; http://plugins.qgis.org/plugins/plugins.xml & ...
2
votes
1answer
67 views

Why does Fetch Python Plugins responded with only the installed ones?

I use QGIS 1.8. Whenever I demand to install plugins through Fetch Python Plugins it displays only those the already installed. I couldn't find for example; point sampling, group stats and photo2shape ...
1
vote
1answer
97 views

MMQgis Plugin error in Qgis

I am using Qgis 1.9 .Just now I downloaded a plugin "mm qgis"But When I run this plugin I am getting following error: An error has occured while executing Python code: Traceback (most recent call ...